Subject: bug#21214: closed (Re: bug#21214: symlinks cc -> gcc, lex -> flex etcetc)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 19 Aug 2015 19:14:02 +0000

Your bug report

#21214: symlinks cc -> gcc, lex -> flex etcetc

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21214: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21214
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21214: symlinks cc -> gcc, lex -> flex etcetc
From: [email-masked] (Ludovic Courtès)
To: Danny Milosavljevic <[email-masked]>
Cc: [email-masked]
Date: Wed, 19 Aug 2015 21:13:14 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Danny Milosavljevic <[email-masked]> skribis:

> I'm just slowly documenting all the problems I encountered while
> trying GuixSD on a X200. 

Nice.  Don’t hesitate to leave a note when you’re done; it may be useful
for bug-fixing and/or troubleshooting for people trying the same thing.

> This was one of the first: I checked out
> cbfstool from coreboot in order to swap Fn and Ctrl and tried to make
> it, but it didn't find "cc" and then got stuck in an endless loop
> (which is a problem in coreboot, also reported there as
> http://comments.gmane.org/gmane.linux.bios/81588 ).

I see.

> That's okay. If it already was discussed that's fine. 

OK, thanks!

Ludo’.

Subject: symlinks cc -> gcc, lex -> flex etcetc
From: Danny Milosavljevic <[email-masked]>
To: [email-masked]
Date: Fri, 7 Aug 2015 23:52:25 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I tried to build coreboot earlier and by default it seems to use "cc"
in some places (for example util/cbfstool) and thus fails if one
doesn't manually select an explicit compiler via a make (or environment)
variable.

Guix doesn't have "cc" (it does have "gcc"). It would be convenient if
the former were available as a link.

With kind regards,
    Danny